<?php
/**
 * @demo https://www.dc-unlocker.com/resellers/api/demo/202/examples/ActivateLicenseExample.php
 */

require '../DcUnlockerAPI.class.php';

//Change and uncomment if you put public.key in different location
//define ('DCU_API_PUBLIC_KEY', '/your/custom/path/to/the/public.key');

//create API object
$API = new DCUnlockerAPI('yourusername', 'yourpassword');

//get information action object
$info = $API->information();

//request license list
$info->getTimedLicenseList();

//Submit info to API server and get message object
$info_message = $info->submit();
 
//show results. Result is array type
$info_results = $info_message->get_response();

echo 'All licenses: <pre>'.print_r($info_results, true).'</pre>';

if ($info_results['response']['status'] == 'ok' && count($info_results['response']['licenses'])) {
    
    $license = $info_results['response']['licenses'][0]['id'];
   
    //activate timed license
    $action = $API->activateLicense()->userName($user_name);

    //set user name
    $action->userName('Test');

    //set license id
    $action->licenseId($license);      

    //test mode is on for demo purposes. Comment out in production!
    $action->testModeOn();

    //submit info to API server and get message object
    $message = $action->submit();
    
    /*
     * Chaining methods is also possible
     *
    $message = $API->activateLicense()
                   ->userName('Test')
                   ->licenseId($license)
                   ->TestModeOn()
                   ->submit();
     * 
     */

    //show results. Result is array type
    $results = $message->get_response();

    echo 'Results: <pre>'.print_r($results, true).'</pre>';
}
